Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
DbSiteConfig Members
DbSiteConfig Class Constructors Methods Fields Properties See Also Send Feedback

The DbSiteConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| DbSiteConfig | Create a new DbSiteConfig object

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| Host | The host of the site.
| Port | The port of the site.

# Properties

| Name | Description
--- | --- | ---
| GroupCreator | Whether the site is a group creator.
| Helper | Whether the site is a helper site.
| Legacy | Whether the site is within a legacy group.
| LocalSite | Whether it is local site.
| Peer | Whether the site is peer to local site.

# See Also

DbSiteConfig Class
BerkeleyDB Namespace